﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Win.UltraWinToolbars;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win;
using System.Drawing.Imaging;

namespace CAS_176075_N3K8T1 
{
    
    class Creation : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is RibbonCaptionAreaUIElement)
            {
                for (int i = 0; i < parent.ChildElements.Count; i++)
                {
                    if (parent.ChildElements[i] is QatQuickCustomizeToolUIElement)
                    {
                        parent.ChildElements[i].Rect = new Rectangle(parent.ChildElements[i].Rect.X - 2,
                                                                parent.ChildElements[i].Rect.Y,
                                                                parent.ChildElements[i].Rect.Width + 5,
                                                              parent.ChildElements[i].Rect.Height);
                        break;
                    }
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }

    class MyDraw : IUIElementDrawFilter
    {
        private Bitmap image;

        public MyDraw(Bitmap image)
        {
           this.image = image;
        }
        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawPhase == DrawPhase.BeforeDrawImage)
            {
                Rectangle rect = new Rectangle(drawParams.Element.Parent.Rect.X + 72,
                                                               drawParams.Element.Parent.Rect.Y + 15,
                                                              image.Width + 5,
                                                               image.Height + 10);
                if (drawParams.Element is QatQuickCustomizeToolUIElement)
                    
                drawParams.Graphics.DrawImage(image, rect);
            }
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is QatQuickCustomizeToolUIElement )
                return DrawPhase.BeforeDrawImage;
            return DrawPhase.None;
        }
    }
}
